import { Form, Input, InputNumber, Modal } from "antd";
import { useAssessmentStandardContext } from "./assessment-standard-provider";
export default function AssessmentModal() {
    const { isAgeModalVisible, isScoreModalVisible, ageForm, scoreForm, handleAgeOk, handleAgeCancel, handleScoreOk, handleScoreCancel, ageRanges } = useAssessmentStandardContext();
    return (
        <div>
            <Modal
                title="添加年龄范围"
                visible={isAgeModalVisible}
                onOk={ageForm.submit}
                onCancel={handleAgeCancel}
            >
                <Form form={ageForm} onFinish={handleAgeOk}>
                    <Form.Item name="start" label="起始年龄" rules={[{ required: true }]}>
                        <InputNumber min={0} />
                    </Form.Item>
                    <Form.Item name="end" label="结束年龄">
                        <InputNumber min={0} />
                    </Form.Item>
                </Form>
            </Modal>

            <Modal
                title="添加分数与对应标准"
                visible={isScoreModalVisible}
                onOk={scoreForm.submit}
                onCancel={handleScoreCancel}
            >
                <Form form={scoreForm} onFinish={handleScoreOk}>
                    <Form.Item name="score" label="分数" rules={[{ required: true }]}>
                        <Input min={0} />
                    </Form.Item>
                    {ageRanges.map((range, index) => (
                        <Form.Item key={index} name={`standards_${index}`} label={range.label}>
                            <Input min={0} />
                        </Form.Item>
                    ))}
                </Form>
            </Modal>
        </div>
    )
}