import { Staff, Department, Position, TrainSituation } from "@prisma/client";
import { RolePerms } from "../enum";
import { trainSituationDto } from "./train";

export type StaffRowModel = {
	avatar: string;
	dept_name: string;
	officer_id: string;
	phone_number: string;
	showname: string;
	username: string;
};
export type UserProfile = Staff & {
	permissions: RolePerms[];
	deptIds: string[];
	parentDeptIds: string[];
	domain: Department;
	department: Department;
	position: Position;
};

export type StaffDto = Staff & {
	domain?: Department;
	department?: Department;
	position?: Position;
	trainSituation?: trainSituationDto;
};
export interface AuthDto {
	token: string;
	staff: StaffDto;
	refreshToken: string;
	perms: string[];
}
export interface JwtPayload {
	sub: string;
	username: string;
}
export interface TokenPayload {
	id: string;
	phoneNumber: string;
	name: string;
}
